package com.ym.mec.collectfee.service.impl;

import com.ym.mec.collectfee.common.dao.BaseDAO;
import com.ym.mec.collectfee.common.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import com.ym.mec.collectfee.entity.Account;
import com.ym.mec.collectfee.service.AccountService;
import com.ym.mec.collectfee.dao.AccountDao;
import org.springframework.stereotype.Service;

@Service
public class AccountServiceImpl extends BaseServiceImpl<Integer, Account> implements AccountService {

    @Autowired
    AccountDao accountDao;

    @Override
    public BaseDAO<Integer, Account> getDAO() {
        return accountDao;
    }

    @Override
    public Account getAccountByBranchId(Integer branchId) {
        return accountDao.getAccountByBranchId(branchId);
    }

    @Override
    public int upByIdAndVersion(Account account) {
        return accountDao.upByIdAndVersion(account);
    }


}